OMAP(4)

NAME
omap - omap3, omap4, am335x SoCs device bus

SYNOPSIS
omap0 at mainbus?

DESCRIPTION
The omap interface serves as an abstraction used by the autoconfiguration system to help find and attach devices integrated on Texas Instruments SoC processors.

omap provides support for the following devices:

cpsw(4)
    Texas Instruments CPSW Ethernet device
dmtimer(4)
    Texas Instruments dual mode timer device
edma(4)
    Texas Instruments enhanced DMA device
gptimer(4)
    Texas Instruments general purpose timer device
intc(4)
    Texas Instruments interrupt controller device
omdog(4)
    Texas Instruments watchdog timer device
omgpio(4)
    omap3, omap4 and am335x GPIO controller
ommmc(4)
    MMC/SD/SDIO controller
prcm(4)
    Texas Instruments power, reset and clock management device
sitaracm(4)
    Sitara ARM control module device

SEE ALSO
intro(4), mainbus(4)

HISTORY
The omap driver first appeared in OpenBSD 5.5.